Subject: Re: [PATCH -tip 0/3] expedited "big hammer" RCU grace periods

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 25 Jun 2009 10:54:02 -0700

On Thu, Jun 25, 2009 at 09:47:02AM -0700, Linus Torvalds wrote:
> 
> 
> On Thu, 25 Jun 2009, Ingo Molnar wrote:
> > 
> > Our general preference is to zap code.
> > 
> > /me stares at:
> > 
> >   $ git diff --stat -M v2.6.30..v2.6.31-rc1 | tail -1
> >   7743 files changed, 782278 insertions(+), 403162 deletions(-)
> > 
> > /me corrects himself:
> 
> Yes. Our general preference is to zap code, if only because it's so damn 
> unusual.
> 
> When one out of a hundred patches actually has more removals than 
> additions, we make a big deal out of it ("Look - I actually simplified 
> things"). For the 99 other patches we never size in polite company.
> 
> Oh well. But every time we add lines, we do it with the _best_ intentions.

Indeed, I must confess that my recent patch removing about 1,000 lines
of code is not all that typical of my submissions...

							Thanx, Paul